import { Component, Input, OnInit, Output,EventEmitter } from '@angular/core';

declare var TMap: any;

@Component({
  selector: 'app-tx-map',
  templateUrl: './tx-map.component.html',
  styleUrls: ['./tx-map.component.less'],
})
export class TxMapComponent implements OnInit {
  
  qqMap: any;

  // 传入参数
  // 地图中心点经纬度
  @Input() center = {
    Longitude: '',
    Latitude: '',
  };

  // 出发外部事件
  @Output() test = new EventEmitter();

  constructor() {}

  ngOnInit(): void {
    // 定义地图中心点坐标
    const center: any = new TMap.LatLng(35.103434, 118.356418);
    this.qqMap = new TMap.Map(document.getElementById('container'), {
      center, // 设置地图中心点坐标
      zoom: 12.2, // 设置地图缩放级别
      // pitch: 43.5, // 设置俯仰角
      // rotation: 45 // 设置地图旋转角度
    });

  }
}
