import { Component, Input, OnInit } from '@angular/core';
import { NzUploadFile } from 'ng-zorro-antd/upload';



@Component({
  selector: 'app-upload',
  templateUrl: './upload.component.html',
  styleUrls: ['./upload.component.less']
})
export class UploadComponent implements OnInit {

  constructor() { }

  @Input()
  images = []

  @Input() setImage;

  @Input()
  showBtn = true;

  // 上传的文件列表
  fileList: NzUploadFile[] = []


  ngOnInit(): void {
  }

  // 点击删除图片
  delete(index: any) {
    this.images.splice(index, 1);
  }

  test() {
    console.log(this.images);
  }

}
