import { enableProdMode } from '@angular/core';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';

import { AppModule } from './app/app.module';
import { environment } from './environments/environment';

if (environment.production) {
  enableProdMode();
}

platformBrowserDynamic().bootstrapModule(AppModule)
  .catch(err => console.error(err));

// console.log(window.navigator.userAgent, window.navigator.userAgent.match(/(phone)/i));

// 每次刷新都会运行
// if (window.navigator.userAgent.match(/(phone|iPad|Android)/i)) {
//   console.log('Mobile端');
//   window.location.hash = '/mobile';
// } else {
//   console.log('PC端');
//   window.location.hash = '/pc';
// }
