import { Component, OnInit } from '@angular/core';
import { Router, Route } from '@angular/router';

@Component({
  selector: 'app-layout-pc',
  templateUrl: './layout-pc.component.html',
  styleUrls: ['./layout-pc.component.css'],
})
export class LayoutPcComponent implements OnInit {
  // 菜单展开收起
  isCollapsed = false;

  constructor(private router: Router) {}

  ngOnInit(): void {
    // console.log('获取菜单配置');
  }

  // 点击菜单
  goToPage(url: string): void {
    console.log(url);
    this.router.navigateByUrl(url);
  }

  // 点击退出按钮
  signOut(): void {
    this.router.navigate(['/']);
  }
}
